> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cloudraker.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cloudraker.com/_mcp/server.

# Notification inbox live socket

GET /api/notifications/ws

WebSocket upgrade for the notification inbox. Authenticated by a signed `ticket` query parameter (not a Bearer token); also requires the inbox owner's `userId`.

Reference: https://docs.cloudraker.com/api/raker-one-api/notifications/get-notifications-ws

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: RakerOne API
  version: 1.0.0
paths:
  /notifications/ws:
    get:
      operationId: get-notifications-ws
      summary: Notification inbox live socket
      description: >-
        WebSocket upgrade for the notification inbox. Authenticated by a signed
        `ticket` query parameter (not a Bearer token); also requires the inbox
        owner's `userId`.
      tags:
        - subpackage_notifications
      parameters:
        - name: ticket
          in: query
          description: Signed ticket from `POST /notifications/ws-ticket`.
          required: true
          schema:
            type: string
        - name: userId
          in: query
          description: The inbox owner's user id.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
        '400':
          description: Not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
servers:
  - url: /api
    description: Current origin
  - url: https://app.raker.one/api
    description: Production
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
          description: Machine-readable error code (e.g. `invalid_body`, `not_found`).
        issues:
          type: array
          items:
            description: Any type
          description: Schema-validation issues, present when `error` is `invalid_body`.
      required:
        - error
      description: Standard API error response.
      title: ErrorResponse

```

## Examples



**SDK Code**

```python
import requests

url = "https://api/notifications/ws"

querystring = {"ticket":"ticket","userId":"userId"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api/notifications/ws?ticket=ticket&userId=userId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api/notifications/ws?ticket=ticket&userId=userId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api/notifications/ws?ticket=ticket&userId=userId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api/notifications/ws?ticket=ticket&userId=userId")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api/notifications/ws?ticket=ticket&userId=userId');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api/notifications/ws?ticket=ticket&userId=userId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api/notifications/ws?ticket=ticket&userId=userId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```